Bug 171757 - [MAINTAINER] astro/qlandkartegt: update to 1.5.1
Summary: [MAINTAINER] astro/qlandkartegt: update to 1.5.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-18 23:20 UTC by Mykola Dzham
Modified: 2012-09-21 13:40 UTC (History)
0 users

See Also:


Attachments
qlandkartegt-1.5.1.patch (1.60 KB, patch)
2012-09-18 23:20 UTC, Mykola Dzham
no flags Details | Diff
qlandkartegt.diff (1.73 KB, patch)
2012-09-20 22:15 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Guido Falsi freebsd_committer 2012-09-19 14:34:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 2 Guido Falsi freebsd_committer 2012-09-20 22:15:17 UTC
Hi,

using ABI version numbers for libraries is discouraged whenever possible.

Are you sure that they are needed for the proj.7 and gps.20 depends?

Can you approve the attached patch?

BTW in this patch I also trimmed the headers as now required by portmgr:

http://blogs.freebsdish.org/portmgr/2012/09/17/change-to-the-header-in-ports-makefiles-take-two/

Thanks!

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 3 Guido Falsi freebsd_committer 2012-09-20 22:23:05 UTC
State Changed
From-To: open->feedback

Ask for maintainer approval.
Comment 4 Mykola Dzham 2012-09-21 12:26:11 UTC
 Guido Falsi wrote:
> Hi,
> 
> using ABI version numbers for libraries is discouraged whenever possible.
> 
> Are you sure that they are needed for the proj.7 and gps.20 depends?
> 
> Can you approve the attached patch?

Most likely version numbers is not needed here.
I approve this patch.
Thanks!
 
> BTW in this patch I also trimmed the headers as now required by portmgr:
> 
> http://blogs.freebsdish.org/portmgr/2012/09/17/change-to-the-header-in-ports-makefiles-take-two/
> 
> Thanks!
> 
> -- 
> Guido Falsi <madpilot@FreeBSD.org>

> Index: Makefile
> ===================================================================
> --- Makefile	(revision 304517)
> +++ Makefile	(working copy)
> @@ -1,12 +1,8 @@
> -# New ports collection makefile for: qlandkartegt
> -# Date created:                1 Jun 2009
> -# Whom:                        Mykola Dzham <freebsd@levsha.org.ua>
> -#
> +# Created by: Mykola Dzham <freebsd@levsha.org.ua>
>  # $FreeBSD$
> -#
>  
>  PORTNAME=	qlandkartegt
> -PORTVERSION=	1.5.0
> +PORTVERSION=	1.5.1
>  CATEGORIES=	astro
>  MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/QLandkarteGT%20${PORTVERSION}
>  
> @@ -16,8 +12,8 @@
>  LICENSE=	GPLv2
>  
>  LIB_DEPENDS=	gdal:${PORTSDIR}/graphics/gdal \
> -		proj.7:${PORTSDIR}/graphics/proj \
> -		gps.20:${PORTSDIR}/astro/gpsd
> +		proj:${PORTSDIR}/graphics/proj \
> +		gps:${PORTSDIR}/astro/gpsd
>  
>  USE_CMAKE=	yes
>  USE_QT4=	dbus gui opengl network sql xml linguist_build \
> Index: distinfo
> ===================================================================
> --- distinfo	(revision 304517)
> +++ distinfo	(working copy)
> @@ -1,2 +1,2 @@
> -SHA256 (qlandkartegt-1.5.0.tar.gz) = 439137d4864217c350678d8357c07a0f80455f2cff35a736dd6b58a2d3d683b4
> -SIZE (qlandkartegt-1.5.0.tar.gz) = 6388844
> +SHA256 (qlandkartegt-1.5.1.tar.gz) = 095cd2390684eead61b2868e1efc85500d6d61e95f3d54d0fd255cd95f55aadd
> +SIZE (qlandkartegt-1.5.1.tar.gz) = 7113881
> Index: pkg-plist
> ===================================================================
> --- pkg-plist	(revision 304517)
> +++ pkg-plist	(working copy)
> @@ -7,6 +7,7 @@
>  share/pixmaps/qlandkartegt.png
>  %%DATADIR%%/translations/qlandkartegt_cs.qm
>  %%DATADIR%%/translations/qlandkartegt_de.qm
> +%%DATADIR%%/translations/qlandkartegt_en.qm
>  %%DATADIR%%/translations/qlandkartegt_es_ES.qm
>  %%DATADIR%%/translations/qlandkartegt_fr.qm
>  %%DATADIR%%/translations/qlandkartegt_it_IT.qm


-- 
LEFT-(UANIC|RIPE)
JID: levsha@jabber.net.ua
PGP fingerprint: 1BCD 7C80 2E04 7282 C944  B0E0 7E67 619E 4E72 9280
Comment 5 Guido Falsi freebsd_committer 2012-09-21 13:32:24 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2012-09-21 13:32:31 UTC
Author: madpilot
Date: Fri Sep 21 12:32:18 2012
New Revision: 304625
URL: http://svn.freebsd.org/changeset/ports/304625

Log:
  - Update to version 1.5.1
  
  While I'm here:
  
  - Strip Makefile headers [1]
  - Remove ABI version number from LIB_DEPENDS [1]
  
  PR:		ports/171757
  Submitted by:	Mykola Dzham <i@levsha.me> (maintainer)
  Approved by:	Mykola Dzham <i@levsha.me> (maintainer) [1]
  Approved by:	crees, tabthorpe (mentors, implicit)

Modified:
  head/astro/qlandkartegt/Makefile   (contents, props changed)
  head/astro/qlandkartegt/distinfo   (contents, props changed)
  head/astro/qlandkartegt/pkg-plist   (contents, props changed)

Modified: head/astro/qlandkartegt/Makefile
==============================================================================
--- head/astro/qlandkartegt/Makefile	Fri Sep 21 12:25:09 2012	(r304624)
+++ head/astro/qlandkartegt/Makefile	Fri Sep 21 12:32:18 2012	(r304625)
@@ -1,12 +1,8 @@
-# New ports collection makefile for: qlandkartegt
-# Date created:                1 Jun 2009
-# Whom:                        Mykola Dzham <freebsd@levsha.org.ua>
-#
+# Created by: Mykola Dzham <freebsd@levsha.org.ua>
 # $FreeBSD$
-#
 
 PORTNAME=	qlandkartegt
-PORTVERSION=	1.5.0
+PORTVERSION=	1.5.1
 CATEGORIES=	astro
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/QLandkarteGT%20${PORTVERSION}
 
@@ -16,8 +12,8 @@ COMMENT=	The ultimate outdoor aficionado
 LICENSE=	GPLv2
 
 LIB_DEPENDS=	gdal:${PORTSDIR}/graphics/gdal \
-		proj.7:${PORTSDIR}/graphics/proj \
-		gps.20:${PORTSDIR}/astro/gpsd
+		proj:${PORTSDIR}/graphics/proj \
+		gps:${PORTSDIR}/astro/gpsd
 
 USE_CMAKE=	yes
 USE_QT4=	dbus gui opengl network sql xml linguist_build \

Modified: head/astro/qlandkartegt/distinfo
==============================================================================
--- head/astro/qlandkartegt/distinfo	Fri Sep 21 12:25:09 2012	(r304624)
+++ head/astro/qlandkartegt/distinfo	Fri Sep 21 12:32:18 2012	(r304625)
@@ -1,2 +1,2 @@
-SHA256 (qlandkartegt-1.5.0.tar.gz) = 439137d4864217c350678d8357c07a0f80455f2cff35a736dd6b58a2d3d683b4
-SIZE (qlandkartegt-1.5.0.tar.gz) = 6388844
+SHA256 (qlandkartegt-1.5.1.tar.gz) = 095cd2390684eead61b2868e1efc85500d6d61e95f3d54d0fd255cd95f55aadd
+SIZE (qlandkartegt-1.5.1.tar.gz) = 7113881

Modified: head/astro/qlandkartegt/pkg-plist
==============================================================================
--- head/astro/qlandkartegt/pkg-plist	Fri Sep 21 12:25:09 2012	(r304624)
+++ head/astro/qlandkartegt/pkg-plist	Fri Sep 21 12:32:18 2012	(r304625)
@@ -7,6 +7,7 @@ share/applications/qlandkartegt.desktop
 share/pixmaps/qlandkartegt.png
 %%DATADIR%%/translations/qlandkartegt_cs.qm
 %%DATADIR%%/translations/qlandkartegt_de.qm
+%%DATADIR%%/translations/qlandkartegt_en.qm
 %%DATADIR%%/translations/qlandkartegt_es_ES.qm
 %%DATADIR%%/translations/qlandkartegt_fr.qm
 %%DATADIR%%/translations/qlandkartegt_it_IT.qm
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"